commit:     c7c6d659e0d63e683e70d13d06c767e10f191a59
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 14 01:11:59 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Mar 15 09:18:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7c6d659

x11-libs/libfm-extra: 1.3.2 version bump, simplify src_prepare

Use heredoc, get rid of seds, add missing || die

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 x11-libs/libfm-extra/Manifest                      |  1 +
 .../files/libfm-extra-1.3.2-buildsystem.patch      | 59 +++++++++++++++
 x11-libs/libfm-extra/libfm-extra-1.3.2.ebuild      | 88 ++++++++++++++++++++++
 3 files changed, 148 insertions(+)

diff --git a/x11-libs/libfm-extra/Manifest b/x11-libs/libfm-extra/Manifest
index 0aa1137e43b..0b5c4fa34f2 100644
--- a/x11-libs/libfm-extra/Manifest
+++ b/x11-libs/libfm-extra/Manifest
@@ -1 +1,2 @@
 DIST libfm-1.3.1.tar.gz 1290374 BLAKE2B 
3df27fc6b4afd089e51cd36db0f764e9359b0c6373e0ff484aa7cd2ee99170530fb60f5757ade9263a5bdd1d6be9917debb66a19cc8e13c505431050b6f3a901
 SHA512 
82bbcb1b9c7d4543bcb075906bdc1554462b041ad936e2f0334ae478302b19808cdbfe6d0c86a039bbd72a2491f2d2ada61a324fe3933a8dde16a03d93bef2bc
+DIST libfm-1.3.2.tar.gz 1295152 BLAKE2B 
80b2110610aac9e8cb37502c3e69e425256ff22565ba15b5806e30c3bed5ad141c38cac1eda91f846e14eca6b783bea3d715b3b467ae7d37b036e3f19cadc3f8
 SHA512 
905c5eca66e1acb8ab2ed20de9f10e43d38eae304d1d986dd9961469141f9156130602c060754a5161672208c37a3969489bb40fd9c941281817852ca38500a6

diff --git a/x11-libs/libfm-extra/files/libfm-extra-1.3.2-buildsystem.patch 
b/x11-libs/libfm-extra/files/libfm-extra-1.3.2-buildsystem.patch
new file mode 100644
index 00000000000..fd9a0535a4c
--- /dev/null
+++ b/x11-libs/libfm-extra/files/libfm-extra-1.3.2-buildsystem.patch
@@ -0,0 +1,59 @@
+From a5cabf67a7460ce27c73e66c9ac98481c6cd1db2 Mon Sep 17 00:00:00 2001
+From: Andreas Sturmlechner <[email protected]>
+Date: Mon, 15 Mar 2021 09:44:40 +0100
+Subject: [PATCH] Drop -Werror and unwanted CPPFLAGS, disable docs
+
+---
+ Makefile.am  | 2 +-
+ configure.ac | 8 ++------
+ 2 files changed, 3 insertions(+), 7 deletions(-)
+
+diff --git a/Makefile.am b/Makefile.am
+index 427edae..f5fd4f0 100644
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -5,7 +5,7 @@ NULL=
+ DIST_SUBDIRS = src po data
+ 
+ # a little trick against gtk-doc is here
+-SUBDIRS_DOCS = docs
++SUBDIRS_DOCS = 
+ 
+ EXTRA_DIST_DOCS = \
+       gtk-doc.make \
+diff --git a/configure.ac b/configure.ac
+index bf6b07f..2f331ec 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -3,7 +3,7 @@
+ 
+ AC_PREREQ([2.63])
+ AC_INIT([libfm], [1.3.2], [http://pcmanfm.sourceforge.net/])
+-AM_INIT_AUTOMAKE([-Wall -Werror foreign subdir-objects no-dist-gzip dist-xz 
-Wno-portability])
++AM_INIT_AUTOMAKE([-Wall foreign subdir-objects no-dist-gzip dist-xz 
-Wno-portability])
+ AC_CONFIG_MACRO_DIR(m4)
+ AC_CONFIG_HEADERS([config.h])
+ 
+@@ -277,7 +277,7 @@ AC_ARG_ENABLE(debug,
+ )
+ if test "$enable_debug" = "yes"; then
+     # turn on debug and disable optimization
+-    CPPFLAGS="$CPPFLAGS -DG_ENABLE_DEBUG -O0 -g"
++    CPPFLAGS="$CPPFLAGS -DG_ENABLE_DEBUG"
+     case "$CC" in
+     gcc*)
+         CPPFLAGS="$CPPFLAGS -Wall -Wextra -Wno-unused-parameter 
-Wno-missing-field-initializers"
+@@ -323,10 +323,6 @@ AC_CONFIG_FILES([
+     data/lxshortcut.1
+     data/ui/Makefile
+     po/Makefile.in
+-    docs/Makefile
+-    docs/reference/Makefile
+-    docs/reference/libfm/Makefile
+-    docs/reference/libfm/version.xml
+     libfm.pc
+     libfm-gtk.pc
+     libfm-gtk3.pc
+-- 
+2.30.2
+

diff --git a/x11-libs/libfm-extra/libfm-extra-1.3.2.ebuild 
b/x11-libs/libfm-extra/libfm-extra-1.3.2.ebuild
new file mode 100644
index 00000000000..dd331530d90
--- /dev/null
+++ b/x11-libs/libfm-extra/libfm-extra-1.3.2.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="libfm"
+MY_P="${MY_PN}-${PV/_/}"
+inherit autotools xdg
+
+DESCRIPTION="Library for file management"
+HOMEPAGE="https://wiki.lxde.org/en/PCManFM";
+SRC_URI="https://github.com/lxde/libfm/archive/${PV}.tar.gz -> ${MY_P}.tar.gz"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="GPL-2"
+SLOT="0/5.3.1" # copy ABI_VERSION because it seems upstream change it randomly
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~x86 ~amd64-linux 
~x86-linux"
+IUSE=""
+
+RDEPEND=">=dev-libs/glib-2.18:2"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       app-arch/xz-utils
+       dev-util/gtk-doc-am
+       >=dev-util/intltool-0.40
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+PATCHES=( "${FILESDIR}/${P}-buildsystem.patch" )
+
+src_prepare() {
+       xdg_src_prepare
+
+       # disable unused translations. Bug #356029
+       cat <<-EOF >> po/POTFILES.in || die
+data/ui/app-chooser.ui
+data/ui/ask-rename.ui
+data/ui/exec-file.ui
+data/ui/file-prop.ui
+data/ui/preferred-apps.ui
+data/ui/progress.ui
+EOF
+
+       # subslot sanity check
+       local sub_slot=${SLOT#*/}
+       local libfm_major_abi=$(sed -rne '/ABI_VERSION/s:.*=::p' 
src/Makefile.am | tr ':' '.')
+
+       if [[ ${sub_slot} != ${libfm_major_abi} ]]; then
+               eerror "Ebuild sub-slot (${sub_slot}) does not match 
ABI_VERSION(${libfm_major_abi})"
+               eerror "Please update SLOT variable as follows:"
+               eerror "    SLOT=\"${SLOT%%/*}/${libfm_major_abi}\""
+               eerror
+               die "sub-slot sanity check failed"
+       fi
+
+       eautoreconf
+       rm -r autom4te.cache || die
+}
+
+src_configure() {
+       econf \
+               --disable-static \
+               --with-extra-only
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+       # Sometimes a directory is created instead of a symlink. No idea why...
+       # It is wrong anyway. We expect a libfm-1.0 directory and then a libfm
+       # symlink to it.
+       if [[ -h ${D}/usr/include/${MY_PN} || -d ${D}/usr/include/${MY_PN} ]]; 
then
+               rm -r "${D}"/usr/include/${MY_PN} || die
+       fi
+}
+
+pkg_preinst() {
+       xdg_pkg_preinst
+       # Resolve the symlink mess. Bug #439570
+       if [[ -d "${ROOT}"/usr/include/${MY_PN} ]]; then
+               rm -rf "${ROOT}"/usr/include/${MY_PN} || die
+       fi
+       if [[ -d "${D}"/usr/include/${MY_PN}-1.0 ]]; then
+               cd "${D}"/usr/include || die
+               ln -s --force ${MY_PN}-1.0 ${MY_PN} || die
+       fi
+}

Reply via email to